Upload a sales order attachment
curl --request POST \
--url https://{companyName}.api.joinluminous.com/external/api/v1/sales-orders/{salesOrderId}/attachments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/sales-orders/{salesOrderId}/attachments"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/sales-orders/{salesOrderId}/attachments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"original_filename": "<string>",
"mime_type": "<string>",
"size_bytes": 123,
"uploaded_by": {
"id": 123,
"name": "<string>"
},
"created_at": "2023-11-07T05:31:56Z"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Sales Orders
Upload a sales order attachment
Upload a file and attach it to a sales order. Send the file as multipart/form-data
in a field named file.
Allowed file types: PDF, PNG, JPG/JPEG, GIF, WEBP, DOC, DOCX, XLS, XLSX, CSV, TXT. Maximum file size: 20 MB.
Requires the salesOrders.update permission on the API token’s owner.
POST
/
sales-orders
/
{salesOrderId}
/
attachments
Upload a sales order attachment
Authorizations
Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.
Path Parameters
Sales order ID
Body
multipart/form-data
The file to upload
Response
Attachment uploaded
A file attached to a sales order.
Attachment ID
The original name of the uploaded file.
The file's MIME type (e.g. application/pdf).
File size in bytes.
The user who uploaded the file. Null if the uploader is unknown.
Show child attributes
Show child attributes
ISO 8601 timestamp of when the attachment was created.